#ifndef MAX6954_H
#define	MAX6954_H
//------------------------Dot Matrix LED  Driver--------------------------------
#include <string.h>
#include "../Soft_SPI/Soft_SPI.h"
#include "MAX6954_Prototypes.h"
//------------------------------------------------------------------------------
void MAX6954_init()
{
  SPI_init();
  
  MAX6954_write(DECODE_MODE_REG, DECODE_ALL);         //Decode ascii characters
  MAX6954_write(GLOBAL_INTESITY_REG, BRIGHTNESS); 
  MAX6954_write(SCAN_LIMIT_REG, SCAN_LOW_NIBBLE);
  MAX6954_write(SHUTDOWN_REG, NORMAL_OPERATION);
}
//------------------------------------------------------------------------------
void MAX6954_write(char reg,signed char data)
{
  CS = 0; 
  
  SPI_write(reg); 
  SPI_write(data); 
  
  CS = 1;
}
//------------------------------------------------------------------------------
void MAX6954_displayNumber(signed int number)
{   
  char strNum[15]; 
  sprintf(strNum,"%4i",number);
  
  for(char i = 0; i < strlen(strNum); i++)
  {    
    char digit = (i == 2) ? (DECIMAL_POINT + strNum[i]) : strNum[i]; 
    MAX6954_write( DISPLAY_REG0 + i, digit );
  }
}
//------------------------------------------------------------------------------
#endif	